listLocations
GET
/api/v1/locations
const url = 'https://example.com/api/v1/locations';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/locationsList locations. Requires an authenticated dashboard user.
Responses
Section titled “ Responses ”Reusable locations with assigned screen counts
Media typeapplication/json
object
data
required
object
items
required
Array<object>
object
id
required
string format: uuid
name
required
string
addressLine1
required
string
addressLine2
required
string
city
required
string
state
required
string
postalCode
required
string
country
required
string
latitude
number
longitude
number
screenCount
required
integer
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
total
required
integer
Examplegenerated
{ "data": { "items": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "addressLine1": "example", "addressLine2": "example", "city": "example", "state": "example", "postalCode": "example", "country": "example", "latitude": 1, "longitude": 1, "screenCount": 1, "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z" } ], "total": 1 }}